%{?nodejs_find_provides_and_requires}

%global packagename load-json-file
%global enable_tests 0
# tests disabled until npm(ava) is packaged in Fedora

Name:		nodejs-load-json-file
Version:	1.1.0
Release:	2%{?dist}
Summary:	Read and parse a JSON file

License:	MIT
URL:		https://github.com/sindresorhus/load-json-file
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/load-json-file/v%{version}/test.js


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(graceful-fs)
BuildRequires:	npm(parse-json)
BuildRequires:	npm(pify)
BuildRequires:	npm(pinkie-promise)
BuildRequires:	npm(strip-bom)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Read and parse a JSON file


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%__nodejs test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Feb 18 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-2
- Fix up check section

* Sat Feb 13 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-1
- Update to upstream 1.1.0 release

* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
